[med-svn] [Git][med-team/simde][master] d/tests: skip emulated tests on riscv64, to avoid timeout

Michael R. Crusoe (@crusoe) gitlab at salsa.debian.org
Thu Feb 26 16:13:09 GMT 2026



Michael R. Crusoe pushed to branch master at Debian Med / simde


Commits:
6da44b3f by Michael R. Crusoe at 2026-02-26T17:12:25+01:00
d/tests: skip emulated tests on riscv64, to avoid timeout

- - - - -


2 changed files:

- debian/changelog
- debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+simde (0.8.4~rc3-2) unstable; urgency=medium
+
+  * d/tests: skip emulated tests on riscv64, to avoid timeout
+
+ -- Michael R. Crusoe <crusoe at debian.org>  Thu, 26 Feb 2026 17:12:21 +0100
+
 simde (0.8.4~rc3-1) unstable; urgency=medium
 
   * tests: also run the emulated tests


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -e
+set -ex
 
 pkg=simde
 
@@ -17,10 +17,12 @@ SOURCE=$PWD
 cd "${AUTOPKGTEST_TMP}"
 
 cp -r /usr/include/simde ./
-cp -r ${SOURCE}/test ./
-cp -r ${SOURCE}/meson* ./
+cp -r "${SOURCE}"/test ./
+cp -r "${SOURCE}"/meson* ./
 
-if [ "$(dpkg-architecture -qDEB_HOST_ARCH)" = "i386" ] ; then
+arch="$(dpkg-architecture -qDEB_HOST_ARCH)"
+
+if [ "${arch}" = "i386" ] ; then
   # https://github.com/simd-everywhere/simde/issues/867
   sed -i "/'dbsad'/d" meson.build
   sed -i "/'fpclass'/d" meson.build
@@ -28,11 +30,15 @@ if [ "$(dpkg-architecture -qDEB_HOST_ARCH)" = "i386" ] ; then
   rm -f test/x86/avx512/fpclass.c
 fi
 
+if [ "${arch}" = "risc64" ] ; then
+	tests="-- $(shell meson test -C gcc_test --list | grep -v emul)"
+fi
+
 mkdir build-gcc build-clang
 
 cd build-gcc
 CC=gcc CXX=g++ meson ..
-meson test --print-errorlogs
+meson test --print-errorlogs ${tests}
 
 # cd ../build-clang
 # CC=clang CXX=clang++ meson ..



View it on GitLab: https://salsa.debian.org/med-team/simde/-/commit/6da44b3fe09b7a3bbb2016b8f55bf8c07a287dc1

-- 
View it on GitLab: https://salsa.debian.org/med-team/simde/-/commit/6da44b3fe09b7a3bbb2016b8f55bf8c07a287dc1
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20260226/6458bb2e/attachment-0001.htm>


More information about the debian-med-commit mailing list